# ex10.py

def fQuinValor(lF,nQuin):
    return lF[nQuin]

def fSumaIterativa(lF,nQuants):
    fSumaNoRecursiva = 0.

    for i in range(nQuants):
        fSumaNoRecursiva += fQuinValor(lF,i)

    return fSumaNoRecursiva

def vVisualitza(szDescripcio,lF,nQuants):
    print("%s: [ "%szDescripcio,end='')
    for i in range(nQuants):
        print("%.2f "%lF[i],end='')
    print("]")

def lMultiplicaVectors(lV,lP,nQuants):
    lR = []
    for i in range(nQuants):
        lR.append(lV[i] * lP[i])

    return lR

def main():
    fPesos = [0.1,0.15,0.2,0.25,0.3]
    fValors = [5.1,4.2,6.15,7.4,8.5]
    fProducte = []

    vVisualitza("Pesos ",fPesos,len(fPesos))
    print("La suma no recursiva dels valors a fPesos és %.2f"%fSumaIterativa(fPesos,len(fPesos)))
    vVisualitza("Valors",fValors,len(fValors))
    print("La suma no recursiva dels valors a fValors és %.2f"%fSumaIterativa(fValors,len(fValors)))
    fProducte = lMultiplicaVectors(fValors,fPesos,len(fValors))
    vVisualitza("v x p ",fProducte,len(fProducte))
    print("La suma no recursiva dels valors a fProducte és %.2f"%fSumaIterativa(fProducte,len(fProducte)))

main()
