// ex11.c
#include <stdio.h>
#define N 5

float fQuinValor(float* pF,int nQuin){
    return pF[nQuin];
}

float fSumaIterativa(float* pF,int nQuants){
    int i;
    float fSumaNoRecursiva = 0.f;

    for(i = 0; i < nQuants ;i++){
        fSumaNoRecursiva += fQuinValor(pF,i);
    }

    return fSumaNoRecursiva;
}

void vVisualitza(char* szDescripcio,float* pF,int nQuants){
    int i;

    printf("%s: [ ",szDescripcio);
    for(i=0; i < nQuants;i++)
        printf("%.2f ",pF[i]);
    printf("]\n");
}

void vMultiplicaVectors(float* fV,float* fP,int nQuants){
    int i;

    for(i=0; i < nQuants;i++,fV++,fP++)
        *fV = *fV * *fP;
}

float* pfMultiplicaVectors(float* fV,float* fP,int nQuants){
    vMultiplicaVectors(fV,fP,nQuants);
    return fV;
}

int main(){
    float fPesos[N] = {0.1f,0.15f,0.2f,0.25f,0.3f},fValors[N] = {5.1f,4.2f,6.15f,7.4f,8.5f};

    vVisualitza("Pesos ",fPesos,N);
    printf("La suma no recursiva dels valors a fPesos és %.2f\n",fSumaIterativa(fPesos,N));
    vVisualitza("Valors",fValors,N);
    printf("La suma no recursiva dels valors a fValors és %.2f\n",fSumaIterativa(fValors,N));
    vVisualitza("v x p ",pfMultiplicaVectors(fValors,fPesos,N),N);
    printf("La suma no recursiva dels valors a fValors és %.2f\n",fSumaIterativa(fValors,N));

    return 0;
}